'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _superagent = require('superagent');

var _superagent2 = _interopRequireDefault(_superagent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var methods = ['get', 'post', 'put', 'patch', 'del'];
function getProtocol(req) {
  return "http:";
  //return req.headers["x-proto"]=="http"?"http:":"https:";
}
function formatUrl(path, config, req) {
  if (/^(https?:)|^(\/\/)/.test(path)) return path;
  var adjustedPath = path[0] !== '/' ? '/' + path : path;
  if (__SERVER__) {
    var protocol = getProtocol(req);
    //var protocol = req.headers["x-proto"]=="http"?"http":"https";
    if (config.apiPort != "" && config.apiPort != "80") {
      return protocol + '//' + config.apiHost + ':' + config.apiPort + adjustedPath;
    } else {
      return protocol + '//' + config.apiHost + adjustedPath;
    }
    // Prepend host and port of the API server to the path.
  }
  // Prepend `/api` to relative URL, to proxy to API server.
  return '/proxy' + adjustedPath;
}

var ApiClient = function () {
  function ApiClient(config, req, res, operating) {
    var _this = this;

    _classCallCheck(this, ApiClient);

    methods.forEach(function (method) {
      return _this[method] = function (path) {
        var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
            params = _ref.params,
            data = _ref.data;

        var noLogin = arguments[2];
        var jsonFlag = arguments[3];
        return new Promise(function (resolve, reject) {
          var url = formatUrl(path, config, req);
          var request = _superagent2.default[method](url);
          console.log(__SERVER__ ? "Server" : "Client", "---ajax:", url);
          params = params || {};
          params._ = +new Date();
          request.query(params);

          if (__SERVER__ && req.get('cookie')) {
            request.set('cookie', req.get('cookie'));
          }
          if (__SERVER__) {
            request.set('original-host', req.get("host"));
            console.log("host:---------------->", request.get("original-host"));
          }
          if (data) {
            if (jsonFlag) {
              request.type("json").send(data);
            } else {
              request.type("form").send(data);
            }
          }
          function sso(body) {
            var ssoSystem = operating ? "passport-platform" : "passport";
            var service = operating ? "passport-operating-view" : "service-passport-view";
            var redirectUrl = '//@/' + service + '/determine/login?return_url=';
            if (noLogin) {
              resolve(body);
            } else {
              if (__SERVER__ && body.code == "0-0004") {
                var urls = req.get('host').replace("www.", "").split(".");
                if (urls.length > 2) {
                  if (urls[0] == "shop" || urls[0] == "buyer" || urls[0] == "passport" || urls[0] == "platform" || urls[0] == "passport-platform" || urls[0] == "view-zone") {
                    urls.splice(0, 1, ssoSystem);
                  } else {
                    urls.unshift(ssoSystem);
                  }
                } else {
                  urls.unshift(ssoSystem);
                }
                var protocol = getProtocol(req);
                redirectUrl = protocol + redirectUrl.replace("@", urls.join("."));
                try {
                  var fullUrl = protocol + '//' + req.get('host') + req.originalUrl;
                  res && res.redirect(redirectUrl + encodeURIComponent(fullUrl));
                } catch (e) {}
              } else if (body.code == "0-0004") {
                var hostMatch = window.location.href.replace("www.", "").match(/.*?\/\/(.*?)\/|.*?\/\/(.*)/);
                var _urls = hostMatch[1] || hostMatch[2];
                _urls = _urls.split(".");
                if (_urls.length > 2) {
                  if (_urls[0] == "shop" || _urls[0] == "buyer" || _urls[0] == "passport" || _urls[0] == "platform" || _urls[0] == "passport-platform" || _urls[0] == "view-zone") {
                    _urls.splice(0, 1, ssoSystem);
                  } else {
                    _urls.unshift(ssoSystem);
                  }
                } else {
                  _urls.unshift(ssoSystem);
                }
                redirectUrl = redirectUrl.replace("@", _urls.join("."));
                window.location.href = redirectUrl + encodeURIComponent(window.location.href);
              } else if (!!!__SERVER__ && body.code == "000001020001") {
                var _hostMatch = window.location.href.match(/.*?\/\/(.*?)\/|.*?\/\/(.*)/);
                var _urls2 = _hostMatch[1] || _hostMatch[2];
                // console.log("hostMatch")
                //  console.log(hostMatch)
                // console.log("hostMatch")
                // console.log("2222222222")
                var redirectUrls = "/user-shop-view/sellerinfo/settled-blank-page";
                window.location.href = '//' + _urls2 + redirectUrls;
              } else {
                resolve(body);
              }
            }
          }
          function error(err) {
            reject(err);
          }
          //request.end((err, { body , text }) => err ? error(body||err) : sso(JSON.stringify(body)=="{}"?text:body));
          request.end(function (err, response) {
            try {
              if (response) {
                response = response || {};
                var body = response.body || {},
                    text = response.text || "";
                err ? error(body || err) : sso(JSON.stringify(body) == "{}" ? text : body);
              } else {
                __SERVER__ && res.send("请求后端接口：" + url + "，请求参数:" + JSON.stringify(params) + ",返回异常" + err + ",response:" + response);
              }
            } catch (e) {
              __SERVER__ && res.send("请求后端接口：" + url + "，请求参数:" + JSON.stringify(params) + ",返回异常" + err + ",response:" + response);
            }
          });
        });
      };
    });
  }
  /*
   * There's a V8 bug where, when using Babel, exporting classes with only
   * constructors sometimes fails. Until it's patched, this is a solution to
   * "ApiClient is not defined" from issue #14.
   * https://github.com/erikras/react-redux-universal-hot-example/issues/14
   *
   * Relevant Babel bug (but they claim it's V8): https://phabricator.babeljs.io/T2455
   *
   * Remove it at your own risk.
   */


  ApiClient.prototype.empty = function empty() {};

  return ApiClient;
}();

exports.default = ApiClient;
module.exports = exports['default'];
//# sourceMappingURL=ApiClient.js.map