'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _menu = require('jcloudui/lib/menu');

var _menu2 = _interopRequireDefault(_menu);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('jcloudui/lib/menu/style');

var _reactRouter = require('react-router');

var _logo = require('./style/logo.png');

var _logo2 = _interopRequireDefault(_logo);

require('./style/templateHader.css');

var _ApiClient = require('../../../apiClient/ApiClient');

var _ApiClient2 = _interopRequireDefault(_ApiClient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  Header: {
    displayName: 'Header'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/Buyer/Header/Header.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
}

var Header = _wrapComponent('Header')(function (_Component) {
  _inherits(Header, _Component);

  function Header(props, context) {
    _classCallCheck(this, Header);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

    _this.state = {
      mainDomain: '/'
    };
    return _this;
  }

  Header.prototype.componentWillMount = function componentWillMount() {
    this.getMainDomainForLogo();
  };

  // 获取域名


  Header.prototype.getMainDomainForLogo = function getMainDomainForLogo() {
    var _this2 = this;

    var client = new _ApiClient2.default();
    client.get('/passport/logout').then(function (res) {
      if (res.code == 0 && res.data) {
        res.data.map(function (_item) {
          if (_item.domainType == 1) {
            var mainDomain = '//' + _item.domain;
            _this2.setState({ mainDomain: mainDomain });
          }
        });
      }
    }, function (err) {});
    // client.get('/platform-service/mallInfo/getMallInfo')
    //   .then(
    //     (res) => {
    //       if(res.code == 0 && res.data) {
    //         this.priceUrl = res.data.userLogo;
    //       }
    //     },
    //     (err) => {
    //     }
    //   );
  };

  //


  Header.prototype.render = function render() {
    var _props = this.props,
        menus = _props.menus,
        selectKey = _props.selectKey;

    var horizontal = menus.map(function (menu) {
      return _react3.default.createElement(
        _menu2.default.Item,
        { key: menu.id },
        _react3.default.createElement(
          'a',
          { href: menu.href },
          menu.name
        )
      );
    });
    return _react3.default.createElement(
      'div',
      { className: 'buyer-framework-header' },
      _react3.default.createElement(
        'div',
        { className: 'buyer-framework-container' },
        _react3.default.createElement(
          'ul',
          null,
          _react3.default.createElement(
            'li',
            null,
            _react3.default.createElement(
              'a',
              { className: 'buyer-framework-logo', href: this.state.mainDomain, target: '_blank' },
              this.props.logo ? _react3.default.createElement('img', { src: this.props.logo }) : ''
            )
          ),
          _react3.default.createElement(
            'li',
            null,
            _react3.default.createElement(
              'span',
              { className: 'buyer-framework-title' },
              this.props.type && this.props.type == 'subaccount' ? '子账号管理' : '采购商中心'
            )
          )
        ),
        this.props.type && this.props.type == 'subaccount' ? '' : _react3.default.createElement(
          _menu2.default,
          {
            theme: 'light',
            mode: 'horizontal',
            selectedKeys: [String(selectKey)],
            style: { lineHeight: '62px', float: 'right' }
          },
          horizontal
        )
      )
    );
  };

  return Header;
}(_react2.Component));

exports.default = Header;
module.exports = exports['default'];
//# sourceMappingURL=Header.js.map