'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _icon = require('jcloudui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('jcloudui/lib/icon/style');

var _styles = require('./styles.css');

var _styles2 = _interopRequireDefault(_styles);

var _ApiClient = require('../../apiClient/ApiClient');

var _ApiClient2 = _interopRequireDefault(_ApiClient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  Customer: {
    displayName: 'Customer'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/Customer/Customer.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
} /**
   * Created by huangxiao3 on 2017/6/8.
   */


var Customer = _wrapComponent('Customer')(function (_Component) {
  _inherits(Customer, _Component);

  function Customer(props, content) {
    _classCallCheck(this, Customer);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props, content));

    _this.state = {
      scrollTop: 0,
      // 反馈url
      feedbackUrl: '',
      // 购物车url
      cartUrl: '',
      // 购物车数量
      shopNum: 0,
      weixinCodeUrl: '',
      weixinDisplay: '',
      appDownCodeUrl: '',
      appDownDisplay: ''
    };
    return _this;
  }

  Customer.prototype.componentWillMount = function componentWillMount() {
    var _this2 = this;

    var client = new _ApiClient2.default();
    // 获取购物车数量
    client.get('cart/mall/cart/queryCartItemNum').then(function (rs) {
      if (rs.code == 0) {
        _this2.setState({
          shopNum: rs.data
        });
      }
    });
    // 获取二维码
    client.get('/platform-service/mall/mobileconfig/queryAppDownUrlById').then(function (rs) {
      if (rs.code == 0) {
        _this2.setState({
          weixinCodeUrl: rs.data.weixinCodeUrl,
          weixinDisplay: rs.data.weixinDisplay,
          appDownCodeUrl: rs.data.appDownCodeUrl,
          appDownDisplay: rs.data.appDownDisplay
        });
      }
    });
    // 域名
    client.get('/passport/logout').then(function (res) {
      if (res.code == 0 && res.data) {
        res.data.map(function (_item) {
          if (_item.domainType == 1) {
            var feedbackUrl = '//' + _item.domain + '/website-view/user-feedback';
            var cartUrl = '//' + _item.domain + '/website-view/cart';
            _this2.setState({ feedbackUrl: feedbackUrl, cartUrl: cartUrl });
          }
        });
      }
    }, function (err) {});
  };

  Customer.prototype.componentDidMount = function componentDidMount() {
    var _this3 = this;

    document.addEventListener('scroll', function () {
      return _this3.onChange();
    }, true);
  };

  Customer.prototype.toTop = function toTop() {
    document.body.scrollTop = 0;
  };

  Customer.prototype.onChange = function onChange() {
    this.setState({ scrollTop: document.body.scrollTop });
  };

  Customer.prototype.handleCreateShangQiao = function handleCreateShangQiao() {
    var defaultUrl = 'http://p.qiao.baidu.com/cps/chat?siteId=11653509&userId=5784152';
    var iWidth = 580;
    var iHeight = 510;
    var iTop = (window.screen.availHeight - 30 - iHeight) / 2;
    var iLeft = (window.screen.availWidth - 10 - iWidth) / 2;
    var sqUrl = this.props.SqCode ? this.props.SqCode : defaultUrl;
    window.open(sqUrl, "shangqiao", 'height=510, width=580, toolbar =no, menubar=no, scrollbars=no, resizable=no, location=no, status=no, top=' + iTop + ',left=' + iLeft);
  };

  Customer.prototype.render = function render() {
    return _react3.default.createElement(
      'div',
      { className: 'customerreact' },
      _react3.default.createElement(
        'div',
        { className: 'm-fixedbar' },
        _react3.default.createElement(
          'div',
          { className: 'fixedbar-bd' },
          _react3.default.createElement(
            'div',
            { className: 'fixedbar-item' },
            _react3.default.createElement(
              'a',
              { className: 'sidecart', href: this.state.cartUrl, target: '_blank' },
              this.state.shopNum != 0 ? _react3.default.createElement(
                'span',
                { className: 'goods-num' },
                this.state.shopNum
              ) : '',
              _react3.default.createElement(_icon2.default, { type: 'anticon anticon-new-icon83' }),
              _react3.default.createElement(
                'span',
                { className: 'fixedbar-text' },
                '\u8FDB\u8D27\u8F66'
              )
            )
          ),
          _react3.default.createElement(
            'div',
            { className: 'fixedbar-item js-qrcode' },
            _react3.default.createElement(
              'a',
              { href: 'javascript:', target: '_blank' },
              _react3.default.createElement(_icon2.default, { type: 'new-phone iconSize' }),
              _react3.default.createElement(
                'span',
                { className: 'fixedbar-text' },
                '\u626B\u7801\u4F18\u60E0'
              )
            ),
            _react3.default.createElement(
              'div',
              { className: 'hnc-mobile-pop hnc-mobile-pop-right' },
              _react3.default.createElement(
                'span',
                { className: 'arrow-rig' },
                _react3.default.createElement('span', { className: 'right' })
              ),
              _react3.default.createElement(
                'div',
                { className: 'mobile-pop-item f-cb item-wx' },
                _react3.default.createElement(
                  'div',
                  { className: 'mobile_pop_qrcode' },
                  _react3.default.createElement('img', { src: this.state.weixinCodeUrl, width: '80', height: '80' })
                ),
                _react3.default.createElement(
                  'div',
                  { className: 'mobile_pop_info' },
                  _react3.default.createElement(
                    'p',
                    null,
                    '\u5FAE\u4FE1\u626B\u4E00\u626B'
                  ),
                  _react3.default.createElement(
                    'p',
                    null,
                    '\u5173\u6CE8\u534E\u5357\u57CE\u7F51'
                  ),
                  _react3.default.createElement(
                    'p',
                    null,
                    '\u5FAE\u4FE1\u5546\u57CE'
                  )
                )
              ),
              _react3.default.createElement(
                'div',
                { className: 'mobile-pop-item f-cb item-app' },
                _react3.default.createElement(
                  'div',
                  { className: 'mobile_pop_qrcode' },
                  _react3.default.createElement('img', { src: this.state.appDownCodeUrl, width: '80', height: '80' })
                ),
                _react3.default.createElement(
                  'div',
                  { className: 'mobile_pop_info' },
                  _react3.default.createElement(
                    'p',
                    null,
                    '\u626B\u63CF\u4E8C\u7EF4\u7801'
                  ),
                  _react3.default.createElement(
                    'p',
                    null,
                    '\u7ACB\u5373\u4E0B\u8F7DAPP'
                  )
                )
              )
            )
          ),
          _react3.default.createElement(
            'div',
            { className: 'fixedbar-item js-kefu-item', onClick: this.handleCreateShangQiao.bind(this) },
            _react3.default.createElement(
              'a',
              { href: 'javascript:', target: '_blank' },
              _react3.default.createElement(_icon2.default, { type: 'anticon anticon-new-icon86' }),
              _react3.default.createElement(
                'span',
                { className: 'fixedbar-text' },
                '\u8054\u7CFB\u5BA2\u670D'
              )
            )
          ),
          _react3.default.createElement(
            'div',
            { className: 'fixedbar-item' },
            _react3.default.createElement(
              'a',
              { href: this.state.feedbackUrl, target: '_blank' },
              _react3.default.createElement(_icon2.default, { type: 'anticon anticon-new-icon84' }),
              _react3.default.createElement(
                'span',
                { className: 'fixedbar-text' },
                '\u53CD\u9988'
              )
            )
          )
        )
      )
    );
  };

  return Customer;
}(_react2.Component));

exports.default = Customer;
module.exports = exports['default'];
//# sourceMappingURL=Customer.js.map