'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _menu = require('jcloudui/lib/menu');

var _menu2 = _interopRequireDefault(_menu);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('jcloudui/lib/menu/style');

var _reactHelmet = require('react-helmet');

var _reactHelmet2 = _interopRequireDefault(_reactHelmet);

var _TopTools = require('../TopTools/TopTools');

var _TopTools2 = _interopRequireDefault(_TopTools);

require('./style/message.css');

var _ApiClient = require('../../apiClient/ApiClient');

var _ApiClient2 = _interopRequireDefault(_ApiClient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  Message: {
    displayName: 'Message'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/Message/Message.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
}

var SubMenu = _menu2.default.SubMenu;
var MenuItemGroup = _menu2.default.ItemGroup;

var Message = _wrapComponent('Message')(function (_Component) {
  _inherits(Message, _Component);

  function Message(props, context) {
    _classCallCheck(this, Message);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

    _this.state = {
      shopDomain: '',
      buyerDomain: '',
      paltformDomain: '',
      domain: ''
    };
    _this.activeMenu = 1;
    return _this;
  }

  //------------------获取ICON--------------------------------------------


  Message.prototype.getWebsiteConfig = function getWebsiteConfig() {
    var _this2 = this;

    var client = new _ApiClient2.default();
    client.get('/platform-service/mallInfo/getMallInfo').then(function (res) {
      console.log(res);
      if (res.code == 0 && res.data) {
        _this2.setState({ icon: res.data.icon, logo: res.data.userLogo });
      }
    }, function (err) {});
  };

  Message.prototype.componentWillMount = function componentWillMount() {
    this.getWebsiteConfig();
  };

  Message.prototype.componentDidMount = function componentDidMount() {
    var _this3 = this;

    var client = new _ApiClient2.default();
    client.get('passport/logout', {}).then(function (rs) {
      if (rs.code == 0) {
        rs.data.map(function (_item) {
          if (_item.domainType == 3) _this3.setState({ shopDomain: _item.domain });
          if (_item.domainType == 2) _this3.setState({ buyerDomain: _item.domain });
          if (_item.domainType == 5) _this3.setState({ paltformDomain: _item.domain });
          if (_item.domainType == 1) _this3.setState({ domain: _item.domain });
        });
      }
    });
    if (window) {
      var url = window.location.href;
      return url.indexOf('buyer') >= 0 ? this.activeMenu = '2' : this.activeMenu = '1';
    }
  };

  Message.prototype.render = function render() {
    return _react3.default.createElement(
      'div',
      null,
      _react3.default.createElement(
        _reactHelmet2.default,
        null,
        _react3.default.createElement(
          'title',
          null,
          '\u6D88\u606F\u4E2D\u5FC3'
        ),
        _react3.default.createElement('link', { rel: 'icon', href: this.state.icon, mce_href: this.state.icon, type: 'image/x-icon' })
      ),
      _react3.default.createElement(_TopTools2.default, null),
      _react3.default.createElement(
        'div',
        { className: 'shop-framework-body-container', style: { display: 'flex' } },
        _react3.default.createElement(
          'div',
          { className: 'shop-framework-body-container-left' },
          _react3.default.createElement(
            _menu2.default,
            {
              selectedKeys: [this.activeMenu],
              defaultOpenKeys: ['sub1'],
              mode: 'inline'
            },
            _react3.default.createElement(
              MenuItemGroup,
              { key: 'g1', title: '\u6D88\u606F\u4E2D\u5FC3' },
              _react3.default.createElement(
                _menu2.default.Item,
                { key: '1' },
                _react3.default.createElement(
                  'a',
                  {
                    href: 'http://' + this.state.shopDomain + '/shop-view/message/message-center',
                    className: 'a_block' },
                  '\u4F9B\u5E94\u5546\u6D88\u606F'
                )
              ),
              _react3.default.createElement(
                _menu2.default.Item,
                { key: '2' },
                _react3.default.createElement(
                  'a',
                  {
                    href: 'http://' + this.state.buyerDomain + '/buyer-view/message/message-center',
                    className: 'a_block' },
                  '\u91C7\u8D2D\u5546\u6D88\u606F'
                )
              )
            )
          )
        ),
        _react3.default.createElement(
          'div',
          { className: 'shop-framework-body-container-right', style: { minHeight: this.minHeight + "px" } },
          this.props.children
        )
      )
    );
  };

  return Message;
}(_react2.Component));

exports.default = Message;
module.exports = exports['default'];
//# sourceMappingURL=Message.js.map