'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _menu = require('jcloudui/lib/menu');

var _menu2 = _interopRequireDefault(_menu);

var _icon = require('jcloudui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('jcloudui/lib/menu/style');

require('jcloudui/lib/icon/style');

var _reactRouter = require('react-router');

require('./style/templateSider.css');

var _logo = require('./style/logo.png');

var _logo2 = _interopRequireDefault(_logo);

var _ApiClient = require('../../../apiClient/ApiClient');

var _ApiClient2 = _interopRequireDefault(_ApiClient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  Sider: {
    displayName: 'Sider'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/Operating/Sider/Sider.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
} //链接跳转，相当于a标签


var Sider = _wrapComponent('Sider')(function (_Component) {
  _inherits(Sider, _Component);

  function Sider(context) {
    _classCallCheck(this, Sider);

    var _this = _possibleConstructorReturn(this, _Component.call(this, context));

    _this.state = {
      current: '4',
      mainDomain: '/'
    };
    return _this;
  }

  Sider.prototype.componentWillMount = function componentWillMount() {
    this.getMainDomainForLogo();
  };

  //获取域名


  Sider.prototype.getMainDomainForLogo = function getMainDomainForLogo() {
    var _this2 = this;

    var client = new _ApiClient2.default(null, null, null, true);
    client.get('/passport/logout').then(function (res) {
      if (res.code == 0 && res.data) {
        res.data.map(function (_item) {
          if (_item.domainType == 1) {
            var mainDomain = '//' + _item.domain;
            _this2.setState({ mainDomain: mainDomain });
          }
        });
      }
    }, function (err) {});
  };

  Sider.prototype.handleClick = function handleClick(e) {
    this.setState({
      current: e.key
    });
  };

  Sider.prototype.render = function render() {
    var SubMenu = _menu2.default.SubMenu;
    var _props = this.props,
        subMenu = _props.subMenu,
        vKey = _props.vKey;

    var openKeys = [];
    if (subMenu && subMenu.length && subMenu.length > 0) {
      for (var i in subMenu) {
        openKeys.push(subMenu[i].id + '');
      }
    }
    var menus = '';
    if (subMenu && subMenu.length && subMenu.length > 0) {
      menus = subMenu.map(function (menu) {
        if (menu.children && menu.children.length && menu.children.length > 0) {
          var sub = menu.children.map(function (cMenu) {
            return _react3.default.createElement(
              _menu2.default.Item,
              { key: cMenu.id },
              _react3.default.createElement(
                'a',
                { href: cMenu.href, target: cMenu.target },
                cMenu.name
              )
            );
          });
          return _react3.default.createElement(
            SubMenu,
            { key: menu.id, title: _react3.default.createElement(
                'span',
                null,
                _react3.default.createElement(_icon2.default, { type: menu.icon ? menu.icon + '' : '' }),
                _react3.default.createElement(
                  'span',
                  null,
                  menu.name
                )
              ) },
            sub
          );
        } else {
          return _react3.default.createElement(
            _menu2.default.Item,
            { className: 'operaing-no-child', key: menu.id },
            _react3.default.createElement(
              'a',
              { href: menu.href },
              _react3.default.createElement(_icon2.default, { type: menu.icon ? menu.icon + '' : '' }),
              menu.name
            )
          );
        }
      });
    }
    return _react3.default.createElement(
      'div',
      null,
      _react3.default.createElement(
        'div',
        { className: 'operating-framewrok-logo' },
        _react3.default.createElement(
          'a',
          { href: this.state.mainDomain, target: '_blank' },
          this.props.logo ? _react3.default.createElement('img', { src: this.props.logo }) : ''
        )
      ),
      _react3.default.createElement(
        _menu2.default,
        {
          key: Math.random(),
          theme: 'dark',
          style: { width: 200 },
          defaultOpenKeys: openKeys,
          selectedKeys: [String(vKey)],
          className: 'operating-framewrok-menu',
          mode: 'inline'
        },
        menus
      )
    );
  };

  return Sider;
}(_react2.Component));

exports.default = Sider;
module.exports = exports['default'];
//# sourceMappingURL=Sider.js.map