'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _dropdown = require('jcloudui/lib/dropdown');

var _dropdown2 = _interopRequireDefault(_dropdown);

var _icon = require('jcloudui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _badge = require('jcloudui/lib/badge');

var _badge2 = _interopRequireDefault(_badge);

var _menu = require('jcloudui/lib/menu');

var _menu2 = _interopRequireDefault(_menu);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('jcloudui/lib/dropdown/style');

require('jcloudui/lib/icon/style');

require('jcloudui/lib/badge/style');

require('jcloudui/lib/menu/style');

var _reactRouter = require('react-router');

require('./style/header.css');

require('../../Operating/Header/style/templateHader.css');

var _onLogout = require('../../../sso/onLogout');

var _onLogout2 = _interopRequireDefault(_onLogout);

var _ApiClient = require('../../../apiClient/ApiClient');

var _ApiClient2 = _interopRequireDefault(_ApiClient);

var _logo = require('./style/logo.png');

var _logo2 = _interopRequireDefault(_logo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  Header: {
    displayName: 'Header'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/OperatingOnlyTop/Header/Header.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
}

var Header = _wrapComponent('Header')(function (_Component) {
  _inherits(Header, _Component);

  function Header(props, context) {
    _classCallCheck(this, Header);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

    _this.state = {
      msgCount: '',
      userName: '',
      menus: '',
      isSubAccount: true,
      dyHeaderMinWidth: 1000,
      mainDomain: '/'
    };
    return _this;
  }

  Header.prototype.logout = function logout() {
    var logouts = {
      "passport-platform": ["/passport-operating-view/logout", false],
      "platform": ["/operating-view/logout", false],
      "view-zx-mall": ["/decoration/logout", false],
      "view-zone": ["/zone/logout", false]
    };
    (0, _onLogout2.default)(logouts, "plogin");
  };

  Header.prototype.getMsgCount = function getMsgCount() {
    var _this2 = this;

    var client = new _ApiClient2.default(null, null, null, true);
    client.get('/postman/platform/websitemsg/queryUnreadWebSiteCount').then(function (res) {
      if (res.code == 0 && res.data) {
        _this2.setState({
          msgCount: res.data
        });
      }
    }, function (err) {});
  };

  Header.prototype.getUserName = function getUserName() {
    var _this3 = this;

    var client = new _ApiClient2.default(null, null, null, true);
    client.get('/platform-passport/platform/Login/queryLoginInfo', { params: { platformId: 2 } }).then(function (res) {
      if (res.code == 0 && res.data && res.data.username) {
        _this3.setState({
          userName: res.data.username
        });
      }
    }, function (err) {});
  };

  Header.prototype.getChangePassWordPermission = function getChangePassWordPermission() {
    var _this4 = this;

    var client = new _ApiClient2.default(null, null, null, true);
    client.get('/authority/platform/platformsubaccount/checkSubAccountInfo').then(function (res) {
      if (res.code == 0) {
        _this4.setState({
          isSubAccount: res.data
        });
      }
    }, function (err) {});
  };

  Header.prototype.componentWillMount = function componentWillMount() {
    this.getMsgCount();
    this.getUserName();
    this.getChangePassWordPermission();
    this.getMainDomainForLogo();
  };

  //获取域名


  Header.prototype.getMainDomainForLogo = function getMainDomainForLogo() {
    var _this5 = this;

    var client = new _ApiClient2.default(null, null, null, true);
    client.get('/passport/logout').then(function (res) {
      if (res.code == 0 && res.data) {
        res.data.map(function (_item) {
          if (_item.domainType == 1) {
            var mainDomain = '//' + _item.domain;
            _this5.setState({ mainDomain: mainDomain });
          }
        });
      }
    }, function (err) {});
  };

  Header.prototype.calculateNum = function calculateNum(menus, clientWidth) {
    //fontSize:14 padding:15x2 current:1028;clientWidth:可用空间 1028:目前菜单总长度
    var menuNamepx = 0;
    if (menus && menus.length) {
      for (var i = 0; i < menus.length; ++i) {
        var menuNameLength = menus[menus.length - parseInt(i) - 1].name.length;
        menuNamepx += parseInt(menuNameLength) * 14 + 30;
        if (1028 - menuNamepx < clientWidth) {
          return parseInt(i) + 1;
        }
      }
    } else {
      return 0;
    }
  };

  Header.prototype.createMenu = function createMenu(menus, selectKey) {
    //sider：200 userinfo：200 more：80 buffer：200,titleName:100
    if (typeof window !== 'undefined') {
      var clientWidth = window.screen.availWidth - 200 - 200 - 80 - 100;
      var headMenuPx = 0;
      if (menus && menus.length && menus.length != 0) {
        headMenuPx = 86 * menus.length;
      }
      if (clientWidth < headMenuPx) {
        var dropNum = this.calculateNum(menus, clientWidth);
        var mainMenu = menus && menus.slice(0, menus.length - dropNum);
        var dropDownMenu = menus && menus.slice(menus.length - dropNum, menus.length);
        var mainMenuData = mainMenu && mainMenu.map(function (menu) {
          return _react3.default.createElement(
            _menu2.default.Item,
            { key: menu.id },
            _react3.default.createElement(
              'a',
              { href: menu.href },
              menu.name
            )
          );
        });
        var dropDownMenuData = dropDownMenu && dropDownMenu.map(function (menu) {
          return _react3.default.createElement(
            _menu2.default.Item,
            { key: menu.id },
            _react3.default.createElement(
              'a',
              { href: menu.href },
              menu.name
            )
          );
        });
        var forceMoreMenu = false;
        for (var q = 0; q < dropDownMenu.length; ++q) {
          if (dropDownMenu[q].id == [String(selectKey)]) {
            forceMoreMenu = true;
            break;
          }
        }
        var finalData = _react3.default.createElement(
          _menu2.default,
          {
            className: 'dropdownmenu1',
            key: Math.random(),
            theme: 'light',
            mode: 'inline',
            selectedKeys: selectKey,
            style: { lineHeight: '20px', borderBottom: '0', float: 'right', marginRight: '10px', fontSize: '14px' }
          },
          dropDownMenuData
        );
        return _react3.default.createElement(
          'div',
          { className: 'moremenu' },
          _react3.default.createElement(
            _badge2.default,
            { count: dropNum, overflowCount: 10 },
            _react3.default.createElement(
              _dropdown2.default,
              { overlay: finalData, placement: 'bottomCenter' },
              _react3.default.createElement(
                'a',
                { className: 'ant-dropdown-link', href: 'javascript:void(0)' },
                forceMoreMenu ? _react3.default.createElement(
                  'span',
                  { style: { fontSize: '14px', color: '#333' } },
                  '\u66F4\u591A'
                ) : _react3.default.createElement(
                  'span',
                  { style: { fontSize: '14px', color: '#999' } },
                  '\u66F4\u591A'
                ),
                _react3.default.createElement(_icon2.default, { type: 'down', style: { color: "#b1b1b1" } })
              )
            )
          ),
          _react3.default.createElement(
            _menu2.default,
            {
              theme: 'light',
              mode: 'horizontal',
              selectedKeys: [String(selectKey)],
              style: { lineHeight: '63px', borderBottom: '0', float: 'right', marginRight: '10px', fontSize: '14px', paddingRight: '5px' }
            },
            mainMenuData
          )
        );
      } else {
        console.log('normal!');
        var horizontal = menus && menus.map(function (menu) {
          return _react3.default.createElement(
            _menu2.default.Item,
            { key: menu.id },
            _react3.default.createElement(
              'a',
              { href: menu.href },
              menu.name
            )
          );
        });
        return _react3.default.createElement(
          _menu2.default,
          {
            theme: 'light',
            mode: 'horizontal',
            selectedKeys: [String(selectKey)],
            style: { lineHeight: '63px', borderBottom: '0', float: 'right', marginRight: '10px', fontSize: '14px', paddingRight: '5px' }
          },
          horizontal
        );
      }
    } else {
      return _react3.default.createElement('div', null);
    }
  };

  Header.prototype.createUserMenu = function createUserMenu() {
    var _this6 = this;

    if (!this.state.isSubAccount) {
      return _react3.default.createElement(
        _menu2.default,
        { className: 'dropdownmenuUser' },
        _react3.default.createElement(
          _menu2.default.Item,
          null,
          _react3.default.createElement(
            'a',
            { rel: 'noopener noreferrer', target: '_blank', href: '/user-operating-view/changepwd' },
            '\u4FEE\u6539\u5BC6\u7801'
          )
        ),
        _react3.default.createElement(
          _menu2.default.Item,
          null,
          _react3.default.createElement(
            'a',
            { rel: 'noopener noreferrer', onClick: function onClick() {
                return _this6.logout();
              }, href: 'javascript:void(0)' },
            '\u9000\u51FA'
          )
        )
      );
    } else {
      return _react3.default.createElement(
        _menu2.default,
        { className: 'dropdownmenuUser' },
        _react3.default.createElement(
          _menu2.default.Item,
          null,
          _react3.default.createElement(
            'a',
            { rel: 'noopener noreferrer', onClick: function onClick() {
                return _this6.logout();
              }, href: 'javascript:void(0)' },
            '\u9000\u51FA'
          )
        )
      );
    }
  };

  Header.prototype.componentDidMount = function componentDidMount() {
    var clientWidth = window.screen.availWidth - 200 - 200 - 80 - 100;
    this.setState({
      dyHeaderMinWidth: clientWidth
    });
  };

  Header.prototype.render = function render() {
    var _props = this.props,
        menus = _props.menus,
        selectKey = _props.selectKey;

    return _react3.default.createElement(
      'div',
      null,
      _react3.default.createElement(
        'div',
        { className: 'ui-header' },
        _react3.default.createElement(
          'div',
          { className: 'operating-framewrok-onlytop-logo' },
          _react3.default.createElement(
            'a',
            { href: this.state.mainDomain, target: '_blank' },
            this.props.logo ? _react3.default.createElement('img', { src: this.props.logo }) : ''
          )
        ),
        _react3.default.createElement(
          'h2',
          null,
          '\u8FD0\u8425\u540E\u53F0'
        ),
        _react3.default.createElement(
          'div',
          { className: 'userInfo' },
          _react3.default.createElement(
            _badge2.default,
            { count: this.state.msgCount, className: 'ui-badge', overflowCount: 99 },
            _react3.default.createElement(
              'a',
              { href: '/operating-view/message/message-center' },
              _react3.default.createElement(_icon2.default, { type: 'new-icon72', style: { fontSize: "25px", color: '#b2b2b2' } })
            )
          ),
          _react3.default.createElement(
            _dropdown2.default,
            { overlay: this.createUserMenu() },
            _react3.default.createElement(
              'a',
              { className: 'ant-dropdown-link', href: 'javascript:void(0)' },
              this.state.userName,
              ' ',
              _react3.default.createElement(_icon2.default, { type: 'down' })
            )
          )
        ),
        this.createMenu(menus, selectKey)
      )
    );
  };

  return Header;
}(_react2.Component));

exports.default = Header;
module.exports = exports['default'];
//# sourceMappingURL=Header.js.map