'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('./styles/styles.css');

var _ApiClient = require('../../apiClient/ApiClient');

var _ApiClient2 = _interopRequireDefault(_ApiClient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  RiskUser: {
    displayName: 'RiskUser'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/RiskUser/RiskUser.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
} /**
   * Created by huangxiao3 on 2017/8/21.
   */


var RiskUser = _wrapComponent('RiskUser')(function (_Component) {
  _inherits(RiskUser, _Component);

  function RiskUser(context) {
    _classCallCheck(this, RiskUser);

    var _this = _possibleConstructorReturn(this, _Component.call(this, context));

    _this.state = {
      isRiskUser: false
    };
    return _this;
  }

  RiskUser.prototype.isRiskUser = function isRiskUser() {
    if (this.props.riskState != null && this.props.riskState != undefined && (this.props.riskState == 0 || this.props.riskState == '0')) {
      this.setState({ isRiskUser: true });
    } else if (this.props.id) {
      this.queryIsRiskUser(this.props.id);
    } else {}
  };

  RiskUser.prototype.queryIsRiskUser = function queryIsRiskUser(id) {
    var _this2 = this;

    var client = new _ApiClient2.default(null, null, null, true);
    client.get('/platform-service/platform/blacklistuser/checkUser', { params: { platformId: 2, userId1: id } }).then(function (res) {
      if (res.code == 0 && res.data) {
        if (res.data.userType != null && res.data.userType != undefined && (res.data.userType == 0 || res.data.userType == '0')) _this2.setState({
          isRiskUser: true
        });
      } else {}
    }, function (err) {});
  };

  RiskUser.prototype.componentWillMount = function componentWillMount() {
    this.isRiskUser();
  };

  RiskUser.prototype.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
    if (nextProps && nextProps.id) {
      this.queryIsRiskUser(nextProps.id);
    }
  };

  RiskUser.prototype.render = function render() {
    return _react3.default.createElement(
      'span',
      null,
      this.props.children,
      this.state.isRiskUser && _react3.default.createElement(
        'div',
        { className: 'riskname' },
        '\u98CE\u9669'
      )
    );
  };

  return RiskUser;
}(_react2.Component));

exports.default = RiskUser;
module.exports = exports['default'];
//# sourceMappingURL=RiskUser.js.map