'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _menu = require('jcloudui/lib/menu');

var _menu2 = _interopRequireDefault(_menu);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('jcloudui/lib/menu/style');

var _reactRouter = require('react-router');

require('../../Shop/Header/style/templateHader.css');

var _ApiClient = require('../../../apiClient/ApiClient');

var _ApiClient2 = _interopRequireDefault(_ApiClient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  Header: {
    displayName: 'Header'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/ShopToolBar/Header/Header.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
}

var Header = _wrapComponent('Header')(function (_Component) {
  _inherits(Header, _Component);

  function Header(props, context) {
    _classCallCheck(this, Header);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

    _this.state = {
      mainDomain: '/'
    };
    return _this;
  }

  Header.prototype.componentWillMount = function componentWillMount() {
    this.getMainDomainForLogo();
  };

  //获取域名


  Header.prototype.getMainDomainForLogo = function getMainDomainForLogo() {
    var _this2 = this;

    var client = new _ApiClient2.default();
    client.get('/passport/logout').then(function (res) {
      if (res.code == 0 && res.data) {
        res.data.map(function (_item) {
          if (_item.domainType == 1) {
            var mainDomain = 'http://' + _item.domain;
            _this2.setState({ mainDomain: mainDomain });
          }
        });
      }
    }, function (err) {});
  };
  //客服


  Header.prototype.handleCreateShangQiao = function handleCreateShangQiao() {
    var iWidth = 580;
    var iHeight = 510;
    var iTop = (window.screen.availHeight - 30 - iHeight) / 2;
    var iLeft = (window.screen.availWidth - 10 - iWidth) / 2;
    var sqUrl = 'http://p.qiao.baidu.com/cps/chat?siteId=11653509&userId=5784152';
    window.open(sqUrl, "shangqiao", 'height=510, width=580, toolbar =no, menubar=no, scrollbars=no, resizable=no, location=no, status=no, top=' + iTop + ',left=' + iLeft);
  };

  Header.prototype.render = function render() {
    var _this3 = this;

    var _props = this.props,
        menus = _props.menus,
        selectKey = _props.selectKey;

    var horizontal = menus.map(function (menu) {
      return _react3.default.createElement(
        _menu2.default.Item,
        { key: menu.id },
        _react3.default.createElement(
          'a',
          { href: menu.href },
          menu.name
        )
      );
    });
    return _react3.default.createElement(
      'div',
      { className: 'shop-framework-header' },
      _react3.default.createElement(
        'div',
        { className: 'shop-framework-container' },
        _react3.default.createElement(
          'ul',
          null,
          _react3.default.createElement(
            'li',
            null,
            _react3.default.createElement(
              'a',
              { className: 'shop-framework-logo', href: this.state.mainDomain },
              this.props.logo ? _react3.default.createElement('img', { src: this.props.logo }) : ''
            )
          ),
          _react3.default.createElement(
            'li',
            null,
            _react3.default.createElement(
              'span',
              { className: 'shop-framework-title' },
              '\u4F9B\u5E94\u5546\u4E2D\u5FC3'
            )
          )
        ),
        _react3.default.createElement(
          'div',
          { className: 'audit-framework-kefu' },
          _react3.default.createElement(
            'p',
            null,
            '\u5982\u6709\u7591\u95EE\uFF0C',
            _react3.default.createElement(
              'a',
              { onClick: function onClick() {
                  return _this3.handleCreateShangQiao();
                } },
              '\u54A8\u8BE2\u5BA2\u670D'
            )
          )
        )
      )
    );
  };

  return Header;
}(_react2.Component));

exports.default = Header;
module.exports = exports['default'];
//# sourceMappingURL=Header.js.map