'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

var _dec, _class, _class2, _temp;

var _reduxAsyncConnect = require('redux-async-connect');

var _reactRouter = require('react-router');

var _Header = require('../Buyer/Header/Header');

var _Header2 = _interopRequireDefault(_Header);

var _Sider = require('../Buyer/Sider/Sider');

var _Sider2 = _interopRequireDefault(_Sider);

require('../Buyer/style/buyer.css');

var _TopTools = require('../TopTools/TopTools');

var _TopTools2 = _interopRequireDefault(_TopTools);

var _ApiClient = require('../../apiClient/ApiClient');

var _ApiClient2 = _interopRequireDefault(_ApiClient);

var _reactHelmet = require('react-helmet');

var _reactHelmet2 = _interopRequireDefault(_reactHelmet);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

function _objectDestructuringEmpty(obj) { if (obj == null) throw new TypeError("Cannot destructure undefined"); }

var _components = {
  Buyer: {
    displayName: 'Buyer'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/SubAccount/SubAccount.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
} //链接跳转，相当于a标签


var subaccountmanageUrl = '/subaccount-buyer-view/subaccountmanage';
var rolemanageUrl = '/subaccount-buyer-view/rolemanage';

var Buyer = _wrapComponent('Buyer')((_dec = (0, _reduxAsyncConnect.asyncConnect)([{
  promise: function promise(_ref) {
    _objectDestructuringEmpty(_ref.store);

    var promises = [];
    return Promise.all(promises);
  }
}]), _dec(_class = (_temp = _class2 = function (_Component) {
  _inherits(Buyer, _Component);

  function Buyer(props, context) {
    _classCallCheck(this, Buyer);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

    _this.state = {
      menus: [],
      icon: "",
      logo: ''
    };
    return _this;
  }

  //------------------动态获取菜单begin-------------------------------------


  Buyer.prototype.buyerMenuSearch = function buyerMenuSearch() {
    var _this2 = this;

    var client = new _ApiClient2.default();
    var form = null;
    client.get('/authority-service/mall/resource/queryResourceMenuByBuyId', { params: form }).then(function (res) {
      if (res.code == 0 && res.data) {
        var tmp = res.data;
        var result = _this2.reformData(tmp);
        _this2.setState({
          menus: result
        });
      }
    }, function (err) {});
  };

  Buyer.prototype.reformData = function reformData(data) {
    var result = [];
    if (data && data.length) {
      for (var i in data) {
        result.push(this.reformUnit(data[i]));
      }
    } else {}
    return result;
  };

  Buyer.prototype.reformUnit = function reformUnit(data) {
    var unit = { id: '', name: '', href: '', target: '', children: [] };
    unit.id = data.id + '';
    unit.name = data.name;
    unit.href = data.url;
    unit.target = data.target ? data.target : '_self';
    unit.icon = data.icon;
    if (data && data.children && data.children.length > 0) {
      for (var i in data.children) {
        unit.children.push(this.reformUnit(data.children[i]));
      }
    } else {
      delete unit['children'];
    }
    return unit;
  };
  //------------------动态获取菜单end-------------------------------------

  Buyer.prototype.componentWillMount = function componentWillMount() {
    this.buyerMenuSearch();
    this.getWebsiteConfig();
    this.minHeight = typeof window !== 'undefined' ? document.body.clientHeight - 64 : 580;
    this.location = typeof window !== 'undefined' ? window.location.href : "";
    this.referer = typeof document !== 'undefined' ? document.referrer : "";
  };
  //------------------获取ICON--------------------------------------------


  Buyer.prototype.getWebsiteConfig = function getWebsiteConfig() {
    var _this3 = this;

    var client = new _ApiClient2.default();
    client.get('/platform-service/mallInfo/getMallInfo').then(function (res) {
      if (res.code == 0 && res.data) {
        _this3.setState({ icon: res.data.icon, logo: res.data.userLogo });
      }
    }, function (err) {});
  };
  //----------------------------------------------------------------------


  Buyer.prototype.getHref = function getHref(o) {
    if (o && o.length) {
      for (var i = 0; i < o.length; i++) {
        var menu = o[i];
        if (menu.href && menu.href != "") {
          return menu.href;
        } else if (menu.children && menu.children.length) {
          return this.getHref(menu.children);
        } else {
          return "";
        }
      }
    } else {}
    return "";
  };

  Buyer.prototype.horizontalMenu = function horizontalMenu(o) {
    var _this4 = this;

    var horizontalMenu = [];
    if (o && o.length && o.length > 0) {
      o.map(function (menu) {
        var children = menu.children,
            rest = _objectWithoutProperties(menu, ['children']);

        rest.href = rest.href && rest.href != "" ? rest.href : _this4.getHref(children);
        horizontalMenu.push(rest);
      });
    }
    return horizontalMenu;
  };

  Buyer.prototype.urlMatch = function urlMatch(location, menu) {
    // menu.href:/dfsd/sdfs  数据库中返回的数据
    // location:优先为menuUrl，其次this.location
    // menuUrl优先匹配
    if (menu && menu.href && (menu.href == subaccountmanageUrl || menu.href == rolemanageUrl)) {
      if (location != '' && menu && menu.href && menu.href != '') {
        if (location == subaccountmanageUrl) {
          if (location == menu.href && menu.name == '账号管理') {
            return true;
          }
        } else {
          if (location == menu.href) {
            return true;
          }
        }
      }
    }
    return false;
  };

  Buyer.prototype.verticalMenu = function verticalMenu(o, location) {
    var subMenu = [];
    var hKey = 0;
    var vKey = 0;
    var openKey = [];
    var vName = "";
    if (o && o.length && o.length > 0) {
      for (var i = 0; i < o.length; i++) {
        var menu = o[i];
        if (menu.href && menu.href != "" && this.urlMatch(location, menu)) {
          subMenu = menu.children;
          hKey = menu.id;
          var tmpOpenKey = [];
          for (var q in menu.children) {
            tmpOpenKey.push(menu.children[q].id + '');
          }
          openKey = tmpOpenKey;
        } else if (menu.children && menu.children.length) {
          for (var j = 0; j < menu.children.length; j++) {
            var vMenu = menu.children[j];
            if (vMenu.href && vMenu.href != "" && this.urlMatch(location, vMenu)) {
              subMenu = vMenu.children;
              hKey = menu.id;
              vKey = vMenu.id;
              vName = vMenu.name;
            } else if (vMenu.children && vMenu.children.length) {
              for (var n = 0; n < vMenu.children.length; n++) {
                var sMenu = vMenu.children[n];
                if (sMenu.href && sMenu.href != "" && this.urlMatch(location, sMenu)) {
                  subMenu = vMenu.children;
                  hKey = menu.id;
                  vKey = sMenu.id;
                  vName = sMenu.name;
                  openKey.push(vMenu.id);
                }
              }
            }
          }
        }
      }
    }
    return { subMenu: subMenu, hKey: hKey, openKey: openKey, vKey: vKey, vName: vName };
  };

  Buyer.prototype.render = function render() {
    var horizontalMenu = this.horizontalMenu(this.state.menus);
    var menuUrl = this.props.children && this.props.children.props && this.props.children.props.route && this.props.children.props.route.menuUrl;
    var verticalMenu = { subMenu: [], hKey: '0', openKey: '0', vKey: [] };
    if (menuUrl) {
      verticalMenu = this.verticalMenu(this.state.menus, menuUrl);
    } else {
      verticalMenu = this.verticalMenu(this.state.menus, this.location);
    }
    if (verticalMenu.subMenu && verticalMenu.subMenu.length && verticalMenu.subMenu.length == 0) {
      verticalMenu = this.verticalMenu(this.state.menus, this.referer || "");
    }

    var _verticalMenu = verticalMenu,
        hKey = _verticalMenu.hKey,
        vName = _verticalMenu.vName,
        rest = _objectWithoutProperties(_verticalMenu, ['hKey', 'vName']);

    return _react3.default.createElement(
      'div',
      null,
      _react3.default.createElement(
        _reactHelmet2.default,
        null,
        _react3.default.createElement(
          'title',
          null,
          vName
        ),
        _react3.default.createElement('link', { rel: 'icon', href: this.state.icon, mce_href: this.state.icon, type: 'image/x-icon' })
      ),
      _react3.default.createElement(_TopTools2.default, null),
      _react3.default.createElement(_Header2.default, { menus: horizontalMenu, selectKey: hKey, logo: this.state.logo, type: 'subaccount' }),
      _react3.default.createElement(
        'div',
        { className: 'buyer-framework-body-container' },
        _react3.default.createElement(
          'div',
          { className: 'buyer-framework-body-container-left' },
          _react3.default.createElement(_Sider2.default, rest)
        ),
        _react3.default.createElement(
          'div',
          { className: 'buyer-framework-body-container-right', style: { minHeight: this.minHeight + "px" } },
          this.props.children
        )
      )
    );
  };

  return Buyer;
}(_react2.Component), _class2.propTypes = {
  children: _react2.PropTypes.object.isRequired
}, _temp)) || _class));

exports.default = Buyer;
module.exports = exports['default'];
//# sourceMappingURL=SubAccount.js.map