'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('./style/style.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  TableItemInfo: {
    displayName: 'TableItemInfo'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/TableItemInfo/TableItemInfo.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
} /*
   * author:chenqi
   * date:2017-09-06
   * description:table列表页面 商品信息展示。只涉及商品图片 商品名称 销售属性展示。
   * params:所需参数：itemInfo(包含：itemId、itemName、pictureUrl、attributes)、mainDomain(用于跳转商品详情页，所需要的域名。不在此组件中查询，考虑不少列表页已经获取该域名。)
   */


var TableItemInfo = _wrapComponent('TableItemInfo')(function (_Component) {
  _inherits(TableItemInfo, _Component);

  function TableItemInfo(props, context) {
    _classCallCheck(this, TableItemInfo);

    return _possibleConstructorReturn(this, _Component.call(this, props, context));
  }

  TableItemInfo.prototype.render = function render() {
    var itemInfo = this.props.itemInfo;
    var mainDomain = this.props.mainDomain;
    return _react3.default.createElement(
      'div',
      { className: 'table-item-info' },
      _react3.default.createElement(
        'a',
        { href: '//' + mainDomain + '/search-website-view/item/' + itemInfo.itemId, target: '_blank', className: 'text-link' },
        _react3.default.createElement('img', { src: itemInfo.pictureUrl, className: 'item-img' })
      ),
      _react3.default.createElement(
        'div',
        { className: 'item-info' },
        _react3.default.createElement(
          'a',
          { href: '//' + mainDomain + '/search-website-view/item/' + itemInfo.itemId, target: '_blank', className: 'text-link' },
          _react3.default.createElement(
            'p',
            { className: 'item-name', title: itemInfo.itemName },
            itemInfo.itemName
          )
        ),
        _react3.default.createElement('br', null),
        _react3.default.createElement(
          'p',
          { className: 'text-333' },
          itemInfo.attributes
        )
      )
    );
  };

  return TableItemInfo;
}(_react2.Component));

exports.default = TableItemInfo;
module.exports = exports['default'];
//# sourceMappingURL=TableItemInfo.js.map