'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _row = require('jcloudui/lib/row');

var _row2 = _interopRequireDefault(_row);

var _col = require('jcloudui/lib/col');

var _col2 = _interopRequireDefault(_col);

var _icon = require('jcloudui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _modal = require('jcloudui/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

var _menu = require('jcloudui/lib/menu');

var _menu2 = _interopRequireDefault(_menu);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

var _dec, _class;

require('jcloudui/lib/row/style');

require('jcloudui/lib/col/style');

require('jcloudui/lib/icon/style');

require('jcloudui/lib/modal/style');

require('jcloudui/lib/menu/style');

var _styles = require('./styles/styles.css');

var _styles2 = _interopRequireDefault(_styles);

var _reactRouter = require('react-router');

var _redux = require('redux');

var _reactRedux = require('react-redux');

var _citys_redux = require('./redux/citys_redux');

var _citys_redux2 = _interopRequireDefault(_citys_redux);

var _isLogin_redux = require('./redux/isLogin_redux');

var _isLogin_redux2 = _interopRequireDefault(_isLogin_redux);

var _getUrl_redux = require('./redux/getUrl_redux');

var _getUrl_redux2 = _interopRequireDefault(_getUrl_redux);

var _getCode_redux = require('./redux/getCode_redux');

var _getCode_redux2 = _interopRequireDefault(_getCode_redux);

var _getTel_redux = require('./redux/getTel_redux');

var _getTel_redux2 = _interopRequireDefault(_getTel_redux);

var _onLogout = require('../../sso/onLogout');

var _onLogout2 = _interopRequireDefault(_onLogout);

var _ApiClient = require('../../apiClient/ApiClient');

var _ApiClient2 = _interopRequireDefault(_ApiClient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  TopTools: {
    displayName: 'TopTools'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/TopTools/TopTools--.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
} /**************************
   * @author: FengYan
   * @update: 20170523
   * @description:供应商顶部工具栏
   *************************/
/************  基础组件  *************/


var SubMenu = _menu2.default.SubMenu;

var client = new _ApiClient2.default();

/************  自定义组件  *************/

var TopTools = _wrapComponent('TopTools')((_dec = (0, _reactRedux.connect)(function (state) {
  return _citys_redux2.default, _isLogin_redux2.default, _getUrl_redux2.default, _getCode_redux2.default, _getTel_redux2.default;
}, function (dispatch) {
  return (0, _redux.bindActionCreators)({ getCitysAction: _citys_redux.getCitysAction, getLoginAction: _isLogin_redux.getLoginAction, getUrlAction: _getUrl_redux.getUrlAction, getCodeAction: _getCode_redux.getCodeAction, getTelAction: _getTel_redux.getTelAction }, dispatch);
}), _dec(_class = function (_Component) {
  _inherits(TopTools, _Component);

  function TopTools(props) {
    _classCallCheck(this, TopTools);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props));

    _this.state = {
      citys: [],
      citysVisible: false,
      cityName: '未选择',
      cityId: '',
      username: '',
      shopDomain: '',
      buyerDomain: '',
      paltformDomain: '',
      domain: '',
      contactInfo: '',
      weixinCodeUrl: '',
      appDownCodeUrl: '',
      shopNum: 0
    };
    return _this;
  }

  TopTools.prototype.setCookie = function setCookie(_ref) {
    var areaId = _ref.areaId,
        areaName = _ref.areaName;

    // 存储，IE6~7 cookie 其他浏览器HTML5本地存储
    var cityName = encodeURIComponent(areaName);
    document.cookie = 'areaName=' + cityName + '; path=/; domain=' + this.state.domain;
    document.cookie = 'areaId=' + areaId + '; path=/; domain=' + this.state.domain;
    // if (localStorage) {
    //   localStorage.areaId = areaId;
    //   localStorage.areaName = areaName;
    this.defaultCookie();
    // this.setState({
    //   cityName: areaName,
    //   cityId: areaId
    // });
    // } else {
    // document.cookie = `areaId=${areaId};areaName=${areaName}`;
    // }
    if (this.state.citysVisible) {
      this.setState({
        citysVisible: false
      });
    }
    document.getElementById('citys').style.display = 'none';
  };

  TopTools.prototype.renderCity = function renderCity(citys) {
    var _this2 = this;

    // 一级地市列表渲染
    var cityArr = [];
    citys.map(function (_city) {
      cityArr.push(_react3.default.createElement(
        'li',
        { key: _city.code + Math.random() },
        _react3.default.createElement(
          'a',
          {
            href: 'javascript:void(0)',
            onClick: function onClick() {
              return _this2.setCookie({ areaId: _city.code, areaName: _city.name });
            },
            className: _this2.state.cityName === _city.name ? 'active' : '',
            key: _city.code,
            title: _city.name
          },
          _city.name.length > 5 ? _city.name.substr(0, 5) + '...' : _city.name
        )
      ));
    });
    return cityArr;
  };

  TopTools.prototype.componentDidMount = function componentDidMount() {
    var _this3 = this;

    // 获取一级地市数据，存入citys
    this.props.getCitysAction().then(function (rs) {
      if (rs.code != 0) return;
      var cityList = [];
      rs.data.map(function (_item) {
        cityList.push({
          name: _item.name,
          code: _item.code
        });
      });
      _this3.setState({
        citys: cityList
      });
      _this3.defaultCookie();
    });
    // 获取用户登录信息
    this.props.getLoginAction().then(function (rs) {
      _this3.setState({
        username: rs.data.username
      });
    });
    // 获取url
    this.props.getUrlAction().then(function (rs) {
      if (rs.code == 0) {
        rs.data.map(function (_item) {
          if (_item.domainType == 3) _this3.setState({ shopDomain: _item.domain });
          if (_item.domainType == 2) _this3.setState({ buyerDomain: _item.domain });
          if (_item.domainType == 5) _this3.setState({ paltformDomain: _item.domain });
          if (_item.domainType == 1) _this3.setState({ domain: _item.domain });
        });
      }
    });
    document.getElementById('chooseLocal').onmouseenter = function () {
      document.getElementById('citys').style.display = 'inline-block';
    };
    document.getElementById('chooseLocal').onmouseleave = function () {
      document.getElementById('citys').style.display = 'none';
    };
    // 获取二维码
    this.props.getCodeAction().then(function (rs) {
      if (rs.code == 0) {
        _this3.setState({
          weixinCodeUrl: rs.data.weixinCodeUrl,
          appDownCodeUrl: rs.data.appDownCodeUrl
        });
      }
    });
    // 获取 400电话
    this.props.getTelAction().then(function (rs) {
      if (rs.code == 0) {
        _this3.setState({
          contactInfo: rs.data[0].contactInfo
        });
      }
    });
    // 获取购物车数量
    client.get('cart/mall/cart/queryCartItemNum').then(function (rs) {
      if (rs.code == 0) {
        _this3.setState({
          shopNum: rs.data
        });
      }
    });
  };

  TopTools.prototype.defaultCookie = function defaultCookie() {
    var _this4 = this;

    var cookie = document.cookie;
    var cookieArr = cookie.split(';');
    if (cookie.indexOf('areaId') < 0) {
      this.setState({
        citysVisible: true
      });
    } else {
      cookieArr.map(function (_item) {
        if (_item.indexOf('areaName') >= 0) {
          _this4.setState({
            cityName: decodeURIComponent(_item.substr(_item.indexOf('=') + 1, _item.length))
          });
        } else {
          _this4.setState({
            cityId: _item.substr(_item.indexOf('=') + 1, _item.length)
          });
        }
      });
    }
    // }
  };

  TopTools.prototype.logout = function logout() {
    var logouts = {
      "passport": ["/service-passport-view/logout", false],
      "shop": ["/shop-view/logout", false],
      "buyer": ["/buyer-view/logout", false],
      "main": ["/website-view/logout", false]
    };
    (0, _onLogout2.default)(logouts, "login");
  };

  /*
   * 判断是否显示店铺列表或者公司列表
   * */


  TopTools.prototype.isBuyer = function isBuyer() {
    if (typeof window === 'undefined') return;
    var urlPath = window.location.href;
    if (urlPath.indexOf('buyer.') !== -1) {
      return true;
    }
    return false;
  };

  TopTools.prototype.strSize = function strSize(text) {
    var str = '';
    var num = 0;
    var reg = /[\x00-\xff]/;
    for (var i in text) {

      if (!reg.test(text[i])) {
        num += 2;
      } else {
        num += 1;
      }
      if (num <= 6) {
        str += text[i];
      } else {
        str += '...';
        break;
      }
    }
    return str;
  };

  TopTools.prototype.render = function render() {
    var _this5 = this;

    return _react3.default.createElement(
      _row2.default,
      { className: 'topTools' },
      _react3.default.createElement(
        _modal2.default,
        {
          visible: this.state.citysVisible,
          title: '\u8BF7\u9009\u62E9\u4F60\u7684\u6536\u8D27\u5730\u533A',
          footer: null,
          closable: false
        },
        _react3.default.createElement(
          'div',
          { className: 'unChooseLocal' },
          _react3.default.createElement(
            'ul',
            null,
            this.renderCity(this.state.citys)
          )
        )
      ),
      _react3.default.createElement(
        _row2.default,
        { className: 'topToolsWidth' },
        _react3.default.createElement(
          _col2.default,
          { span: 7 },
          _react3.default.createElement(
            'div',
            { className: 'toolsLocal' },
            _react3.default.createElement(
              'ul',
              null,
              _react3.default.createElement(
                'li',
                { className: 'f-fl mr20' },
                _react3.default.createElement(
                  'div',
                  { className: 'downMenu chooseLocal', id: 'chooseLocal' },
                  _react3.default.createElement(
                    'a',
                    { href: 'javascript:void(0)', className: 'normal-a' },
                    _react3.default.createElement(_icon2.default, {
                      type: 'new-gps',
                      className: 'textColorUnRed top5 font30'
                    }),
                    this.state.cityName.length > 3 ? this.state.cityName.substr(0, 3) + '...' : this.state.cityName
                  ),
                  _react3.default.createElement(
                    'ul',
                    { id: 'citys' },
                    this.renderCity(this.state.citys)
                  )
                )
              ),
              _react3.default.createElement(
                'li',
                null,
                '\u6B22\u8FCE\u6765\u5230\u534E\u5357\u57CE\u7F51\u5DE5\u4E1A\u54C1MRO\u5546\u57CE!'
              )
            )
          )
        ),
        _react3.default.createElement(
          _col2.default,
          { span: 17 },
          _react3.default.createElement(
            'div',
            { className: 'toolsMenu' },
            _react3.default.createElement(
              'ul',
              null,
              this.state.username ? _react3.default.createElement(
                'li',
                null,
                _react3.default.createElement(
                  'span',
                  null,
                  _react3.default.createElement(
                    'a',
                    { href: '//' + this.state.buyerDomain + '/buyer-view/homepage',
                      className: 'textColorUnRed', title: this.state.username },
                    this.strSize(this.state.username)
                  ),
                  _react3.default.createElement(
                    'a',
                    { href: 'javascript:void(0)', onClick: function onClick() {
                        return _this5.logout();
                      } },
                    '[\u9000\u51FA]'
                  )
                )
              ) : _react3.default.createElement('li', null),
              _react3.default.createElement(
                'li',
                null,
                _react3.default.createElement(
                  'a',
                  { href: '//' + this.state.buyerDomain + '/order-buyer-view/purchaserback/ordermanagement' },
                  '\u6211\u7684\u8BA2\u5355'
                )
              ),
              _react3.default.createElement(
                'li',
                null,
                _react3.default.createElement(
                  'div',
                  { className: 'downMenu my-mall' },
                  _react3.default.createElement(
                    'a',
                    null,
                    ' \u6211\u7684\u5546\u57CE ',
                    _react3.default.createElement(_icon2.default, { type: 'down ml5' }),
                    ' '
                  ),
                  _react3.default.createElement(
                    'ul',
                    null,
                    _react3.default.createElement(
                      'li',
                      null,
                      _react3.default.createElement(
                        'p',
                        null,
                        _react3.default.createElement(
                          'a',
                          { href: '//' + this.state.buyerDomain + '/order-buyer-view/quotation-manage/quotation-list',
                            target: '_blank' },
                          ' \u62A5\u4EF7\u5355\u7BA1\u7406 '
                        )
                      ),
                      _react3.default.createElement(
                        'p',
                        null,
                        _react3.default.createElement(
                          'a',
                          { href: '//' + this.state.buyerDomain + '/order-buyer-view/purchasedlist',
                            target: '_blank' },
                          ' \u5DF2\u8D2D\u5546\u54C1\u5217\u8868 '
                        )
                      ),
                      _react3.default.createElement(
                        'p',
                        null,
                        _react3.default.createElement(
                          'a',
                          { href: '//' + this.state.buyerDomain + '/customer-service-buyer-view/refund/grid',
                            target: '_blank' },
                          ' \u9000\u6B3E/\u552E\u540E\u7BA1\u7406 '
                        )
                      )
                    ),
                    _react3.default.createElement(
                      'li',
                      null,
                      _react3.default.createElement(
                        'p',
                        null,
                        _react3.default.createElement(
                          'a',
                          { href: '//' + this.state.buyerDomain + '/buyer-view/attention-center/collection',
                            target: '_blank' },
                          '\u6211\u7684\u6536\u85CF'
                        )
                      ),
                      _react3.default.createElement(
                        'p',
                        null,
                        _react3.default.createElement(
                          'a',
                          { href: '//' + this.state.buyerDomain + '/member-buyer-view/memberintegral',
                            target: '_blank' },
                          '\u6211\u7684\u79EF\u5206'
                        )
                      ),
                      _react3.default.createElement(
                        'p',
                        null,
                        _react3.default.createElement(
                          'a',
                          { href: '//' + this.state.buyerDomain + '/promotion-buyer-view/coupon/grid',
                            target: '_blank' },
                          '\u6211\u7684\u4F18\u60E0\u5238'
                        )
                      ),
                      _react3.default.createElement(
                        'p',
                        null,
                        _react3.default.createElement(
                          'a',
                          { href: '//' + this.state.buyerDomain + '/promotion-buyer-view/recommend',
                            target: '_blank' },
                          '\u6709\u5956\u63A8\u8350'
                        )
                      )
                    )
                  )
                )
              ),
              _react3.default.createElement(
                'li',
                null,
                _react3.default.createElement(
                  'div',
                  { className: 'downMenu app' },
                  _react3.default.createElement(
                    'a',
                    { className: 'normal-a' },
                    _react3.default.createElement(_icon2.default, { type: 'new-phone iconSize' })
                  ),
                  _react3.default.createElement(
                    'ul',
                    null,
                    _react3.default.createElement('span', { className: 'app-up' }),
                    _react3.default.createElement(
                      'li',
                      null,
                      _react3.default.createElement('img', { src: this.state.weixinCodeUrl, alt: '\u5FAE\u4FE1\u5546\u57CE' }),
                      _react3.default.createElement(
                        'p',
                        null,
                        '\u5FAE\u4FE1\u626B\u4E00\u626B'
                      ),
                      _react3.default.createElement(
                        'p',
                        null,
                        '\u5173\u6CE8\u534E\u5357\u57CE\u7F51'
                      ),
                      _react3.default.createElement(
                        'p',
                        null,
                        '\u5FAE\u4FE1\u5546\u57CE'
                      )
                    ),
                    _react3.default.createElement(
                      'li',
                      null,
                      _react3.default.createElement('img', { src: this.state.appDownCodeUrl, alt: '\u7ACB\u5373\u4E0B\u8F7DAPP' }),
                      _react3.default.createElement(
                        'p',
                        null,
                        '\u626B\u63CF\u4E8C\u7EF4\u7801'
                      ),
                      _react3.default.createElement(
                        'p',
                        null,
                        '\u7ACB\u5373\u4E0B\u8F7DAPP'
                      )
                    )
                  )
                )
              ),
              _react3.default.createElement(
                'li',
                null,
                _react3.default.createElement(
                  'a',
                  { href: '//' + this.state.domain + '/website-view/cart', className: 'normal-a' },
                  _react3.default.createElement(_icon2.default, { type: 'new-cart', className: 'cart-size' }),
                  _react3.default.createElement(
                    'span',
                    { className: this.state.shopNum < 1 ? 'f-dn' : 'icon-num' },
                    this.state.shopNum > '99' ? '99+' : this.state.shopNum
                  )
                )
              ),
              _react3.default.createElement(
                'li',
                null,
                this.isBuyer() ? _react3.default.createElement(
                  'a',
                  { href: '//' + this.state.buyerDomain + '/buyer-view/message/message-center' },
                  '\u6D88\u606F'
                ) : _react3.default.createElement(
                  'a',
                  { href: '//' + this.state.shopDomain + '/shop-view/message/message-center' },
                  '\u6D88\u606F'
                )
              ),
              _react3.default.createElement(
                'li',
                null,
                _react3.default.createElement(
                  'a',
                  { href: '//' + this.state.shopDomain + '/shop-view/home' },
                  '\u4F9B\u5E94\u5546\u4E2D\u5FC3'
                )
              ),
              _react3.default.createElement(
                'li',
                { className: 'tel-phone' },
                _react3.default.createElement(
                  'a',
                  { href: 'javascript:void(0)' },
                  _react3.default.createElement(_icon2.default, {
                    type: 'new-phone2',
                    className: 'textColorRed marginRight5 tel-phone-icon'
                  }),
                  _react3.default.createElement(
                    'strong',
                    { className: 'hotLine' },
                    this.state.contactInfo
                  )
                )
              )
            )
          )
        )
      )
    );
  };

  return TopTools;
}(_react2.Component)) || _class));

exports.default = TopTools;
module.exports = exports['default'];
//# sourceMappingURL=TopTools--.js.map