'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : { loading: false };
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case GET_URL_LOADING:
      return _extends({}, state, {
        loading: true
      });
    case GET_URL_SUCCESS:
      return _extends({}, state, {
        loading: false,
        loaded: true,
        data: action.result
      });
    case GET_URL_FAIL:
      return _extends({}, state, {
        loading: false,
        loaded: false
      });
    default:
      return state;
  }
};

exports.getUrlAction = getUrlAction;
/**************************
 * @author: FengYan
 * @update: 20170616
 * @description:获取地址
 *************************/
var GET_URL_LOADING = 'TOP_TOOLS/GET_URL/LOADING';
var GET_URL_FAIL = 'TOP_TOOLS/GET_URL/FAIL';
var GET_URL_SUCCESS = 'TOP_TOOLS/GET_URL/SUCCESS';
function getUrlAction() {
  return {
    types: [GET_URL_LOADING, GET_URL_SUCCESS, GET_URL_FAIL],
    promise: function promise(client) {
      return client.get('passport/logout');
    }
  };
}
//# sourceMappingURL=getUrl_redux.js.map