'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _upload = require('jcloudui/lib/upload');

var _upload2 = _interopRequireDefault(_upload);

var _icon = require('jcloudui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _message5 = require('jcloudui/lib/message');

var _message6 = _interopRequireDefault(_message5);

var _form = require('jcloudui/lib/form');

var _form2 = _interopRequireDefault(_form);

var _select = require('jcloudui/lib/select');

var _select2 = _interopRequireDefault(_select);

var _radio = require('jcloudui/lib/radio');

var _radio2 = _interopRequireDefault(_radio);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('jcloudui/lib/upload/style');

require('jcloudui/lib/icon/style');

require('jcloudui/lib/message/style');

require('jcloudui/lib/form/style');

require('jcloudui/lib/select/style');

require('jcloudui/lib/radio/style');

var _reactRouter = require('react-router');

require('./style/UploadImg.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  UploadImg: {
    displayName: 'UploadImg'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/UploadImg/UploadImg.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
}

var RadioGroup = _radio2.default.Group;
var Option = _select2.default.Option;
var FormItem = _form2.default.Item;
var formItemLayout = {
  labelCol: { span: 2 },
  wrapperCol: { span: 6 }
};
var formItemLayout2 = {
  labelCol: { span: 2 },
  wrapperCol: { span: 10 }
};
var tailFormItemLayout = {
  wrapperCol: {
    span: 10,
    offset: 2
  }
};
_message6.default.config({
  top: 300,
  duration: 2
});
function getBase64(img, callback, imgURL) {
  var reader = new FileReader();
  if (imgURL && imgURL != '') {
    reader.addEventListener('load', function () {
      return callback(imgURL);
    });
    //reader.readAsDataURL(imgURL);
  } else {
    reader.addEventListener('load', function () {
      return callback(reader.result);
    });
    reader.readAsDataURL(img);
  }
}

var UploadImg = _wrapComponent('UploadImg')(function (_Component) {
  _inherits(UploadImg, _Component);

  function UploadImg(props, context) {
    _classCallCheck(this, UploadImg);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

    _this.beforeUpload = function (file) {
      var maxFileSize = _this.props.maxFileSize;
      var fileSizeType = _this.props.fileSizeType;
      var imgTypes = _this.props.imgType;
      var isLt2M = true,
          isImgTypes = true;
      var fileName = file.name;
      //var validate= file.type === 'image/jpeg';
      if (imgTypes && imgTypes.length > 0) {
        var fileTypes = fileName.split('.');
        var type = fileTypes[fileTypes.length - 1];
        type = type.toUpperCase();
        imgTypes = imgTypes.map(function (types, index) {
          return types.toUpperCase();
        });
        if (imgTypes.indexOf(type) === -1) {
          //文件类型不在用户指定的范围内
          isImgTypes = false;
        }
      }
      if (maxFileSize) {
        if (fileSizeType && (fileSizeType.toUpperCase() == 'M' || fileSizeType.toUpperCase() == 'MB')) {
          isLt2M = file.size <= parseInt(maxFileSize) * 1024 * 1024;
        } else if (fileSizeType && fileSizeType.toUpperCase() == 'KB') {
          isLt2M = file.size <= parseInt(maxFileSize) * 1024;
        } else if (fileSizeType && fileSizeType.toUpperCase() == 'B') {
          isLt2M = file.size <= parseInt(maxFileSize);
        } else {
          isLt2M = file.size <= parseInt(maxFileSize) * 1024 * 1024; //默认fileSizeType=='M'
        }
      }
      if (!isImgTypes) {
        _message6.default.error('上传图片的文件格式有误!');
        return false;
      }
      if (!isLt2M) {
        if (!fileSizeType) {
          fileSizeType = 'M';
        }
        _message6.default.error('上传图片的文件大小必须小于' + maxFileSize + fileSizeType + '!');
        return false;
      }
      return true;
    };

    _this.handleChange = function (info) {
      if (info.file.status === 'done') {
        var response = info.file.response;
        if (response && response.code == '0') {
          var picture = response.data;
          if (typeof picture == 'string') {
            picture = JSON.parse(picture);
          }
          _this.imgUrl = picture.pictureURL;
          _this.setState({ imageUrl: picture.pictureURL });
          var attr = _this.props.relation;
          var onChangeValue = _this.props.onChangeValue;

          var obj = {};
          obj[attr] = picture.pictureURL;
          onChangeValue(obj);
          //getBase64(info.file.originFileObj, imageUrl => this.setState({ imageUrl }),picture.pictureURL);
        } else {
          var _onChangeValue = _this.props.onChangeValue;

          var obj = {};
          _onChangeValue(obj);
        }
      }
      if (info.file.status === 'error') {
        _message6.default.error("上传失败！");
      }
    };

    _this.state = { imageUrl: '' };
    _this.imgUrl = '';
    return _this;
  }

  UploadImg.prototype.render = function render() {
    //const styles = require('./style/UploadImg.less');
    var style = this.props.style;
    var action = this.props.action;
    var data = this.props.data;
    var name = this.props.name;
    var defaultValue = this.props.defaultValue;
    var imageUrl = '';
    if (defaultValue) {
      if (this.state.imageUrl) {
        imageUrl = this.state.imageUrl;
      } else {
        imageUrl = defaultValue;
      }
    } else {
      imageUrl = this.state.imageUrl;
    }
    console.log(imageUrl);
    if (!style || style == '') {
      style = { width: '150px', height: '150px' };
    }
    return _react3.default.createElement(
      'div',
      null,
      _react3.default.createElement(
        _upload2.default,
        { className: 'avatar-uploader',
          name: name,
          showUploadList: false,
          action: action,
          beforeUpload: this.beforeUpload.bind(this),
          onChange: this.handleChange.bind(this),
          data: data
        },
        imageUrl && imageUrl != '' ? _react3.default.createElement('img', { src: imageUrl, alt: '', className: 'avatar', style: style }) : _react3.default.createElement(_icon2.default, { type: 'plus', className: 'avatar-uploader-trigger', style: style })
      )
    );
  };

  return UploadImg;
}(_react2.Component));

exports.default = UploadImg;
module.exports = exports['default'];
//# sourceMappingURL=UploadImg.js.map