'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : { domains: [] };
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case DOMAIN_LOADING:
      return _extends({}, state, {
        loading: true
      });
    case DOMAIN_LOAD_SUCCESS:
      return _extends({}, state, {
        loading: false,
        loaded: true,
        domains: action.result.data
      });
    case DOMAIN_LOAD_FAIL:
      return _extends({}, state, {
        loading: false,
        loaded: false,
        error: action.msg
      });
    default:
      return state;
  }
};

exports.getDomain = getDomain;
exports.getAllDoamins = getAllDoamins;
exports.getDomainByType = getDomainByType;
exports.getMainDomain = getMainDomain;
exports.getPassportDomain = getPassportDomain;
exports.getPlatformPassportDomain = getPlatformPassportDomain;
exports.getMPassportDomain = getMPassportDomain;
exports.getShopDomain = getShopDomain;
exports.getBuyerDomain = getBuyerDomain;
exports.getMBuyerDomain = getMBuyerDomain;
exports.getPlatformDomain = getPlatformDomain;
var DOMAIN_LOADING = 'global/domain/loading';
var DOMAIN_LOAD_SUCCESS = 'global/domain/success';;
var DOMAIN_LOAD_FAIL = 'global/domain/fail';

function getDomain() {
  return {
    types: [DOMAIN_LOADING, DOMAIN_LOAD_SUCCESS, DOMAIN_LOAD_FAIL],
    promise: function promise(client) {
      return client.get('/passport/logout');
    }
  };
}
function getAllDoamins() {
  return function (dispatch, getState) {
    var domain = getState().domain;
    return domain.domains || [];
  };
}
function getDomainByType(type) {
  return function (dispatch, getState) {
    var domain = getState().domain;
    var domains = domain.domains || [];
    for (var i = 0; i < domains.length; i++) {
      if (domains[i].domainType == type) return domains[i].domain;
    }
    return "";
  };
}

function getMainDomain() {
  return function (dispatch, getState) {
    var domain = getState().domain;
    var domains = domain.domains || [];
    for (var i = 0; i < domains.length; i++) {
      if (domains[i].domainType == "1") return domains[i].domain;
    }
    return "";
  };
}
function getPassportDomain() {
  return function (dispatch, getState) {
    var domain = getState().domain;
    var domains = domain.domains || [];
    for (var i = 0; i < domains.length; i++) {
      if (domains[i].domainType == "5") return domains[i].domain;
    }
    return "";
  };
}
function getPlatformPassportDomain() {
  return function (dispatch, getState) {
    var domain = getState().domain;
    var domains = domain.domains || [];
    for (var i = 0; i < domains.length; i++) {
      if (domains[i].domainType == "9") return domains[i].domain;
    }
    return "";
  };
}
function getMPassportDomain() {
  return function (dispatch, getState) {
    var domain = getState().domain;
    var domains = domain.domains || [];
    for (var i = 0; i < domains.length; i++) {
      if (domains[i].domainType == "8") return domains[i].domain;
    }
    return "";
  };
}
function getShopDomain() {
  return function (dispatch, getState) {
    var domain = getState().domain;
    var domains = domain.domains || [];
    for (var i = 0; i < domains.length; i++) {
      if (domains[i].domainType == "3") return domains[i].domain;
    }
    return "";
  };
}
function getBuyerDomain() {
  return function (dispatch, getState) {
    var domain = getState().domain;
    var domains = domain.domains || [];
    for (var i = 0; i < domains.length; i++) {
      if (domains[i].domainType == "2") return domains[i].domain;
    }
    return "";
  };
}
function getMBuyerDomain() {
  return function (dispatch, getState) {
    var domain = getState().domain;
    var domains = domain.domains || [];
    for (var i = 0; i < domains.length; i++) {
      if (domains[i].domainType == "6") return domains[i].domain;
    }
    return "";
  };
}

function getPlatformDomain() {
  return function (dispatch, getState) {
    var domain = getState().domain;
    var domains = domain.domains || [];
    for (var i = 0; i < domains.length; i++) {
      if (domains[i].domainType == "4") return domains[i].domain;
    }
    return "";
  };
}
//# sourceMappingURL=domain.js.map