"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case FUNC_PERMISSIONS_LOADING:
      return _extends({}, state, {
        loading: true
      });
    case FUNC_PERMISSIONS_SUCCESS:
      console.log(action.result);
      return _extends({}, state, {
        loading: false,
        loaded: true,
        data: action.result
      });
    case FUNC_PERMISSIONS_FAIL:
      return _extends({}, state, {
        loading: false,
        loaded: false,
        error: action.msg
      });
    default:
      return state;
  }
};

exports.getPlatformFuncPermission = getPlatformFuncPermission;
exports.getFuncPermission = getFuncPermission;
exports.getSubPageFuncPermission = getSubPageFuncPermission;
var FUNC_PERMISSIONS_LOADING = "func/permissions/PERMISSIONS_LOADING";
var FUNC_PERMISSIONS_SUCCESS = "func/permissions/PERMISSIONS_SUCCESS";
var FUNC_PERMISSIONS_FAIL = "func/permissions/PERMISSIONS_FAIL";

function getPlatformFuncPermission() {
  return {
    types: [FUNC_PERMISSIONS_LOADING, FUNC_PERMISSIONS_SUCCESS, FUNC_PERMISSIONS_FAIL],
    promise: function promise(client) {
      return client.get('authority/platform/resource/queryResourceByCodeOrRefer');
    }
  };
}
function getFuncPermission() {
  return {
    types: [FUNC_PERMISSIONS_LOADING, FUNC_PERMISSIONS_SUCCESS, FUNC_PERMISSIONS_FAIL],
    promise: function promise(client) {
      return client.get('/authority/mall/resource/queryResourceByCodeOrRefer');
    }
  };
}
//获取子页面的动作权限
function getSubPageFuncPermission() {
  var codes = this.props.routing.locationBeforeTransitions.query.codes;
  var codesArray = codes && codes.split(",") || [];
}
//# sourceMappingURL=functionPermissions.js.map