"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case MENULINK_PERMISSIONS_LOADING:
      return _extends({}, state, {
        loading: true
      });
    case MENULINK_PERMISSIONS_SUCCESS:
      console.log(action.result);
      return _extends({}, state, {
        loading: false,
        loaded: true,
        data: action.result
      });
    case MENULINK_PERMISSIONS_FAIL:
      return _extends({}, state, {
        loading: false,
        loaded: false,
        error: action.msg
      });
    default:
      return state;
  }
};

exports.getMenuLinkPermission = getMenuLinkPermission;
exports.getPlatformMenuLinkPermission = getPlatformMenuLinkPermission;
var MENULINK_PERMISSIONS_LOADING = "menuLink/permissions/PERMISSIONS_LOADING";
var MENULINK_PERMISSIONS_SUCCESS = "menuLink/permissions/PERMISSIONS_SUCCESS";
var MENULINK_PERMISSIONS_FAIL = "menuLink/permissions/PERMISSIONS_FAIL";

/*
*  商城  菜单动作权限
*  @param {owner: 采购商 buyer , 供应商 seller  移动端 buyerMobile}
*/
function getMenuLinkPermission(params) {
  return {
    types: [MENULINK_PERMISSIONS_LOADING, MENULINK_PERMISSIONS_SUCCESS, MENULINK_PERMISSIONS_FAIL],
    promise: function promise(client) {
      return client.get('/authority/mall/resource/queryAllAuthByUserId', { params: params });
    }
  };
}

/*
*  平台 菜单动作权限
*  参数：无
*/
function getPlatformMenuLinkPermission(params) {
  return {
    types: [MENULINK_PERMISSIONS_LOADING, MENULINK_PERMISSIONS_SUCCESS, MENULINK_PERMISSIONS_FAIL],
    promise: function promise(client) {
      return client.get('/authority/platform/resource/queryAllAuthForPlatformByUserId', { params: params });
    }
  };
}
//# sourceMappingURL=menuLinkPermission.js.map