"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case FUNC_PERMISSIONS_LOADING:
      return (0, _extends3.default)({}, state, {
        loading: true
      });
    case FUNC_PERMISSIONS_SUCCESS:
      console.log(action.result);
      return (0, _extends3.default)({}, state, {
        loading: false,
        loaded: true,
        data: action.result
      });
    case FUNC_PERMISSIONS_FAIL:
      return (0, _extends3.default)({}, state, {
        loading: false,
        loaded: false,
        error: action.msg
      });
    default:
      return state;
  }
};

exports.getPlatformMenuPermission = getPlatformMenuPermission;
exports.getMenuPermission = getMenuPermission;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FUNC_PERMISSIONS_LOADING = "menu/permissions/PERMISSIONS_LOADING";
var FUNC_PERMISSIONS_SUCCESS = "menu/permissions/PERMISSIONS_SUCCESS";
var FUNC_PERMISSIONS_FAIL = "menu/permissions/PERMISSIONS_FAIL";

function getPlatformMenuPermission() {
  return {
    types: [FUNC_PERMISSIONS_LOADING, FUNC_PERMISSIONS_SUCCESS, FUNC_PERMISSIONS_FAIL],
    promise: function promise(client) {
      return client.get('authority/platform/resource/queryResourceByCodeOrRefer');
    }
  };
}
function getMenuPermission() {
  return {
    types: [FUNC_PERMISSIONS_LOADING, FUNC_PERMISSIONS_SUCCESS, FUNC_PERMISSIONS_FAIL],
    promise: function promise(client) {
      return client.get('/authority/mall/resource/queryResourceByCodeOrRefer');
    }
  };
}
//# sourceMappingURL=menuPermissions.js.map