"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case PERMISSIONS_LOADING:
      return _extends({}, state, {
        loading: true
      });
    case PERMISSIONS_SUCCESS:
      console.log(action.result);
      return _extends({}, state, {
        loading: false,
        loaded: true,
        data: action.result
      });
    case PERMISSIONS_FAIL:
      return _extends({}, state, {
        loading: false,
        loaded: false,
        error: action.msg
      });
    default:
      return state;
  }
};

exports.getPermissionsInfo = getPermissionsInfo;
var PERMISSIONS_LOADING = "express/permissions/PERMISSIONS_LOADING";
var PERMISSIONS_SUCCESS = "express/permissions/PERMISSIONS_SUCCESS";
var PERMISSIONS_FAIL = "express/permissions/PERMISSIONS_FAIL";

function getPermissionsInfo(params) {
  return {
    types: [PERMISSIONS_LOADING, PERMISSIONS_SUCCESS, PERMISSIONS_FAIL],
    promise: function promise(client) {
      return client.get('/passport/register/getUuid', { params: params });
    }
  };
}
//# sourceMappingURL=permissions.js.map